Box2D: b2FrictionJoint Class Reference

# b2FrictionJoint Class Reference

`#include <b2FrictionJoint.h>`

Inheritance diagram for b2FrictionJoint:

List of all members.

## Public Member Functions

b2Vec2 | GetAnchorA () const
| Get the anchor point on bodyA in world coordinates.
b2Vec2 | GetAnchorB () const
| Get the anchor point on bodyB in world coordinates.
b2Vec2 | GetReactionForce (float32 inv_dt) const
| Get the reaction force on body2 at the joint anchor in Newtons.
float32 | GetReactionTorque (float32 inv_dt) const
| Get the reaction torque on body2 in N*m.
void | SetMaxForce (float32 force)
| Set the maximum friction force in N.
float32 | GetMaxForce () const
| Get the maximum friction force in N.
void | SetMaxTorque (float32 torque)
| Set the maximum friction torque in N*m.
float32 | GetMaxTorque () const
| Get the maximum friction torque in N*m.

## Protected Member Functions

| b2FrictionJoint (const b2FrictionJointDef *def)
void | InitVelocityConstraints (const b2TimeStep &step)
void | SolveVelocityConstraints (const b2TimeStep &step)
bool | SolvePositionConstraints (float32 baumgarte)

## Protected Attributes

b2Vec2 | m_localAnchorA
b2Vec2 | m_localAnchorB
b2Mat22 | m_linearMass
float32 | m_angularMass
b2Vec2 | m_linearImpulse
float32 | m_angularImpulse
float32 | m_maxForce
float32 | m_maxTorque

## Friends

class | b2Joint

## Detailed Description

Friction joint. This is used for top-down friction. It provides 2D translational friction and angular friction.

## Constructor & Destructor Documentation

b2FrictionJoint::b2FrictionJoint | ( | const b2FrictionJointDef * | def | ) | `[protected]`

## Member Function Documentation

b2Vec2 b2FrictionJoint::GetAnchorA | ( |  | ) | const`[virtual]`

Get the anchor point on bodyA in world coordinates.

Implements b2Joint.

b2Vec2 b2FrictionJoint::GetAnchorB | ( |  | ) | const`[virtual]`

Get the anchor point on bodyB in world coordinates.

Implements b2Joint.

float32 b2FrictionJoint::GetMaxForce | ( |  | ) | const

Get the maximum friction force in N.

float32 b2FrictionJoint::GetMaxTorque | ( |  | ) | const

Get the maximum friction torque in N*m.

b2Vec2 b2FrictionJoint::GetReactionForce | ( | float32 | inv_dt | ) | const`[virtual]`

Get the reaction force on body2 at the joint anchor in Newtons.

Implements b2Joint.

float32 b2FrictionJoint::GetReactionTorque | ( | float32 | inv_dt | ) | const`[virtual]`

Get the reaction torque on body2 in N*m.

Implements b2Joint.

void b2FrictionJoint::InitVelocityConstraints | ( | const b2TimeStep & | step | ) | `[protected, virtual]`

Implements b2Joint.

void b2FrictionJoint::SetMaxForce | ( | float32 | force | ) |

Set the maximum friction force in N.

void b2FrictionJoint::SetMaxTorque | ( | float32 | torque | ) |

Set the maximum friction torque in N*m.

bool b2FrictionJoint::SolvePositionConstraints | ( | float32 | baumgarte | ) | `[protected, virtual]`

Implements b2Joint.

void b2FrictionJoint::SolveVelocityConstraints | ( | const b2TimeStep & | step | ) | `[protected, virtual]`

Implements b2Joint.

## Friends And Related Function Documentation

friend class b2Joint`[friend]`

## Member Data Documentation

float32 b2FrictionJoint::m_angularImpulse`[protected]`

float32 b2FrictionJoint::m_angularMass`[protected]`

b2Vec2 b2FrictionJoint::m_linearImpulse`[protected]`

b2Mat22 b2FrictionJoint::m_linearMass`[protected]`

b2Vec2 b2FrictionJoint::m_localAnchorA`[protected]`

b2Vec2 b2FrictionJoint::m_localAnchorB`[protected]`

float32 b2FrictionJoint::m_maxForce`[protected]`

float32 b2FrictionJoint::m_maxTorque`[protected]`

The documentation for this class was generated from the following files:

- Box2D/Box2D/Dynamics/Joints/b2FrictionJoint.h
- Box2D/Box2D/Dynamics/Joints/b2FrictionJoint.cpp